#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<ll,ll> pll;
#define endl '\n'
#define inf 1000000007
#define MN 100007

ll k,i,j,r,l,p;
ll a[20007];
string s;

int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin>>s;
    p=1;
    a[1]=1;
    for(i=1;i<s.length();i++){
        if(s[i]<s[i-1])p++;
        a[i+1]=p;
    }
    cin>>k;
    for(i=1;i<=k;i++){
        cin>>l>>r;
        cout<<a[r]-a[l]+1<<endl;

    }



return 0;
}
